Package: util-vserver
Version: 0.30.210-10
Severity: important
Tags: patch

see diff
-----8<----

--- /usr/sbin/vserver-copy.dpk-dist     2006-08-19 17:05:45.000000000 +0200
+++ /usr/sbin/vserver-copy      2006-08-19 17:05:45.000000000 +0200
@@ -295,7 +295,9 @@
 
 info "Syncing directories"
 # trailing slashes very important in the rsync!
-if ! rsync -avxz $rsflag $shcmd $vroot/ $dhost$colon$target/; then
+# -H very important =~ keep hardlinks (otherwise you have 2/TWO files)
+# --nummeric-ids very important =~ (run suse on debian will trash owner ids
etc.)
+if ! rsync -avxzH --numeric-ids $rsflag $shcmd $vroot/
$dhost$colon$target/; then
        error 1 "rsync failed"
 fi
 
@@ -325,12 +327,12 @@
        cat << EOF > $tmpf
 # /etc/hosts (automatically generated by $me)
 
-127.0.0.1       localhost
+127.0.0.2       localhost.localdomain  localhost
 $ip    $newname.$domain        $newname
 
 # The following lines are desirable for IPv6 capable hosts
 
-::1     ip6-localhost ip6-loopback
+::2     ip6-localhost ip6-loopback
 fe00::0 ip6-localnet
 ff00::0 ip6-mcastprefix
 ff02::1 ip6-allnodes

-----8<----

-- System Information:
Debian Release: all
  APT prefers stable
  APT policy: (998, 'sarge-backports'), (990, 'stable'), (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-2-vserver-686
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

-- debconf information excluded


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]

Reply via email to